# $Revision: 1.8 $, $Date: 2004/08/01 22:44:32 $
#
# Conditional build:
%bcond_without tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	POE
%define	pnam	Exceptions
Summary:	POE::Exceptions - POE class for handling exceptions
Summary(pl):	POE::Exceptions - klasa POE do obsugi wyjtkw
Name:		perl-POE-Exceptions
Version:	0.03
Release:	2
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/POE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b962d88f0bdcb2c9e63f0451cd7c4a29
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-POE >= 0.25
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Exceptions extends POE to catch exceptions neatly. A new signal,
"DIE", is introduced. This signal will be fired every time an
exception occurs. (For those of you new to the term exception, an
exception is whenever the code decides to bail out by "die"'ing.) If
the signal handler returns 1, POE will assume that the handler dealt
with the signal appropriately. If the signal handler returns 0, POE
will assume that the handler does not want to deal with the signal and
POE will propagate the exception as if the handler never existed.

%description -l pl
POE::Exceptions rozszerza POE o miy sposb przechwytywania wyjtkw.
Wprowadza nowy sygna "DIE". Ten sygna zostanie wysany przy kadym
wystpieniu wyjtku (na wypadek, gdyby termin "wyjtek" wydawa si
obcy - wyjtek wystpuje wtedy, kiedy kod decyduje si na awaryjne
zakoczenie poprzez "die"). Jeli procedura obsugi sygnau zwrci 1,
POE zaoy, e procedura poradzia sobie waciwie z tym sygnaem.
Jeli jednak zwrci 0, POE zaoy, e procedura nie chce zajmowa si
tym sygnaem, wic przekae wyjtek tak, jakby procedury obsugi nie
byo.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%{perl_vendorlib}/POE/*.pm
%dir %{perl_vendorlib}/POE/Kernel
%{perl_vendorlib}/POE/Kernel/*.pm
%{perl_vendorlib}/POE/Session/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Exceptions.spec,v $
Revision 1.8  2004/08/01 22:44:32  ankry
- added missing dir, rel. 2

Revision 1.7  2004/05/06 18:20:53  ankry
- fixed perl-devel BR

Revision 1.6  2004/02/16 22:25:55  adamg
- updated to 0.03
- new style bconds
- minimal perl-POE version is now 0.25

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 22:15:21  qboosh
- pl

Revision 1.3  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.2  2003/08/19 16:21:20  radek
- added forgotten Source0-md5

Revision 1.1  2003/08/19 16:19:23  radek
- new
